package com.zipcodewilmington.froilansfarm.Classes;

import com.zipcodewilmington.froilansfarm.Classes.Animals.*;
import com.zipcodewilmington.froilansfarm.Classes.Crops.*;
import com.zipcodewilmington.froilansfarm.Classes.Storage.*;
import com.zipcodewilmington.froilansfarm.Classes.Vehicles.*;
import com.zipcodewilmington.froilansfarm.Interfaces.*;

import java.util.*;

public class Farm {
    public Field field = new Field(Arrays.asList(
            new CropRow(new CornStalk()),
            new CropRow(new TomatoPlant()),
            new CropRow(new CornStalk()),
            new CropRow(new ArbitraryPlant()),
            new CropRow(new ArbitraryPlant())
    ));

    ChickenCoop chickenCoop1 = new ChickenCoop(Arrays.asList(new Chicken("Arrogant Ambassador"), new Chicken("Tha Professional"), new Chicken("Vulgar Genius"), new Chicken("E-ratic Demon ")));
    ChickenCoop chickenCoop2 = new ChickenCoop(Arrays.asList(new Chicken("Crazy Knight"), new Chicken("Lucky Demon"), new Chicken("Respected Wizard"), new Chicken("Lucky Fist")));
    ChickenCoop chickenCoop3 = new ChickenCoop(Arrays.asList(new Chicken("Buddha Monk"), new Chicken("Silent Killah"), new Chicken("Sarcastic Beggar"), new Chicken("Childish Gambino")));
    ChickenCoop chickenCoop4 = new ChickenCoop(Arrays.asList(new Chicken("Respected Specialist"), new Chicken("Midnight Swami"), new Chicken("Lazy-assed Watcher"), new Chicken("Daniel")));
    List<ChickenCoop> coops = new ArrayList<ChickenCoop>(Arrays.asList(chickenCoop1,chickenCoop2,chickenCoop3,chickenCoop4));

    Stable stable1 = new Stable(Arrays.asList(new Horse("Saurav"), new Horse("Pranav"), new Horse("Arnav")));
    Stable stable2 = new Stable(Arrays.asList(new Horse("Ed"), new Horse("Edd"), new Horse("Eddy")));
    Stable stable3 = new Stable(Arrays.asList(new Horse("Mickey"), new Horse("Goofy"), new Horse("Donald")));
    ArrayList<Stable> stables = new ArrayList<Stable>(Arrays.asList(stable1,stable2,stable3));

    public Tractor tractor = new Tractor();
    public Cropduster cropduster = new Cropduster();

    public Person froilan = new Person("Froilan", false);
    public Person froilana = new Person("Froilana",false);
    public Person freelan = new Person("Freelan", false);
    public FarmHouse farmHouse = new FarmHouse(Arrays.asList(froilan, froilana, freelan));

    public void morning() {
        for (Person person : farmHouse) {
            for (Stable stable : stables) {
                if (person instanceof Rider) {
                    for (Horse horse : stable) {
                        Rider rider = (Rider) person;
                        rider.mount(horse);
                        rider.ride(horse);
                        rider.dismount(horse);
                    }
                }
                for (Horse horse : stable) {
                    horse.makeNoise();
                    for (int i = 0; i < 3; i++) {
                        horse.eat(new EarCorn());
                    }
                }
            }



            if(person.getName() == "Froilan"){
                for (int i = 0; i < 1; i++) {
                    person.eat(new EarCorn());
                }
                for (int i = 0; i < 2; i++) {
                    person.eat(new Tomato());
                }
                for (int i = 0; i < 5; i++) {
                    person.eat(new Egg());
                }
            }
            else if(person.getName() == "Froilana") {
                for (int i = 0; i < 2; i++) {
                    person.eat(new EarCorn());
                }
                for (int i = 0; i < 1; i++) {
                    person.eat(new Tomato());
                }
                for (int i = 0; i < 2; i++) {
                    person.eat(new Egg());
                }
            }
            else if(person.getName() == "Freelan"){
                for (int i = 0; i < 3; i++) {
                    person.eat(new Tomato());
                }
                for (int i = 0; i < 2; i++) {
                    person.eat(new Egg());
                }
            }
            else System.out.println("You best go back the way you came pardner *cocks shotgung*");
        }
    }
}


